/* Path: assets/css/cart-style.css */

/* font used for body and site title */
@import url('https://fonts.googleapis.com/css2?family=Major+Mono+Display&family=Open+Sans:ital,wght@0,300..800;1,300..800&family=VT323&display=swap');

/*-- VARIABLES CSS--*/
:root{
    /* COLOR VARIABLES */
    --accent-color: #FF5151;
    --accent-color-hover: #ff3232;
    --light-color: #ffffff;
    --dark-color: #161616;

    /* FONT VARIABLES */
    --title-font: 'Major Mono Display', monospace;
    --special-font: 'VT323', monospace;
    --body-font: 'Open Sans', sans-serif;

    /* FONT SIZE VARIABLES */
    --h1-font-size: 1.5rem;
    --normal-font-size: 0.938rem;
    --smaller-font-size: 0.75rem;
}

* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}

body {
    min-height: 100vh;
    font-family: var(--special-font);
}

#main-container {
    position: relative;
    width: 100%;
    margin: 0 auto;
}

.cart-container {
    max-width: 1200px;
    margin: 0 auto;
}

.cart-container h1 {
    padding: 5rem 0;
    font-size: 5rem;
    text-align: center;
    text-transform: uppercase;
}

.cart-item-container{
    display: flex;
    padding: 0 10px;
}

.cart-item-grid {
    flex: 75%;
}

.cart-item {
    display: flex;
    width: 100%;
    height: 200px;
    margin-bottom: 20px;
    overflow: hidden;
    background-color: var(--light-color);
    border-radius: 5px;
    box-shadow: rgba(100, 100, 111, 0.2) 0 7px 29px 0;
    transition: all 0.6s ease;
}

.cart-item:hover {
    transform: scale(1.03);
}

.cart-item img {
    width: 200px;
    height: 200px;
    margin: 0;
    object-fit: cover;
    border-radius: 1rem;
}

.cart-item-details {
    padding: 20px;
    position: relative;
    width: 100%;
}

.cart-item-details h3 {
    font-size: 2.5rem;
    margin-bottom: 30px;
}

.cart-item-details h4 {
    font-size: 1.5rem;
    margin-bottom: 20px;
}

.item-quantity {
    display: flex;
    gap: 10px;
    align-items: center;
    margin-bottom: 20px;
}

.qty-adjust {
    padding: 10px;
    border-radius: 50%;
    background-color: var(--dark-color);
    color: var(--light-color);
    cursor: pointer;
}

button.btn-remove-item {
    position: absolute;
    display: flex;
    align-items: center;
    bottom: 20px;
    right: 20px;
    padding: 10px 25px;
    background-color: var(--accent-color);
    font-size: 1.5rem;
    color: var(--light-color);
    border: none;
    border-radius: 5px;
    cursor: pointer;
    font-weight: 300;
}

button.btn-remove-item svg {
    pointer-events: none;
    margin-right: 5px;
}

span.btn-remove-item{
    font-family: "VT323", monospace;
    font-size: 30px;
    pointer-events: none;
}

button.btn-remove-item:hover {
    background-color: var(--accent-color-hover);
}

div.cart-empty {
    display: flex;
    justify-content: center;
    border: 1px solid var(--dark-color);
}

span.cart-empty {
    margin: 130px 0 140px 0;
    font-size: 2rem;
    font-weight: 300;
}

.cart-summary-container {
    flex: 25%;
    margin-left: 20px;
    padding: 20px;
    height: 300px;
    border-radius: 5px;
    background-color: var(--light-color);
    box-shadow: rgba(100, 100, 111, 0.2) 0 7px 29px 0;
}

.cart-summary-container hr {
    margin-bottom: 25px;
}

.cart-summary-container .item{
    display: flex;
    justify-content: space-between;
    margin-bottom: 30px;
    font-size: 20px;
}

.cart-summary-container .item .title span{
    display: flex;
}

.tax {
    font-size: 1rem;
}

.cart-summary-container a{
    margin-top: auto;
    background-color: var(--accent-color);
    color: var(--light-color);
    text-decoration: none;
    display: block;
    text-align: center;
    border-radius: 5px;
    height: 45px;
    line-height: 40px;
    font-size: 2rem;
    font-weight: 300;
}

.cart-summary-container a:hover {
    background-color: var(--accent-color-hover);
}

@media screen and (max-width: 900px) {
    .cart-container h1 {
        font-size: 4rem;
    }
    .cart-item-container {
        flex-direction: column;
    }

    .cart-summary-container {
        margin-left: 0;
        margin-top: 20px;
    }
}


@media screen and (max-width: 768px) {
    .cart-container h1 {
        font-size: 3rem;
    }
    .cart-item-details h3 {
        margin-bottom: 15px;
    }

    .cart-item-details h4 {
        margin-bottom: 20px;
    }

    button.btn-remove-item svg {
        margin: auto;
    }

    span.btn-remove-item {
        display: none;
    }

    .cart-item {
        height: 150px;
    }

    .cart-item img {
        width: 150px;
        height: 150px;
    }
}